Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class DropCapSpecifier

    java.lang.Object
      org.apache.poi.hwpf.usermodel.DropCapSpecifier

All Implemented Interfaces:
  java.lang.Cloneable

    public final class DropCapSpecifier

extends java.lang.Object
implements java.lang.Cloneable

This data structure is used by a paragraph to determine how it should drop its first letter. I think its the visual effect that will show a giant first letter to a paragraph. I've seen this used in the first paragraph of a book

Author:
  Ryan Ackley

Constructor Summary
`DropCapSpecifier()`
`DropCapSpecifier(byte[] buf, int offset)`
`DropCapSpecifier(short fdct)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`byte` | `getCountOfLinesToDrop()`
`byte` | `getDropCapType()`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`void` | `setCountOfLinesToDrop(byte value)`
`void` | `setDropCapType(byte value)`
`short` | `toShort()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DropCapSpecifier

    public DropCapSpecifier()

### DropCapSpecifier

    public DropCapSpecifier(byte[] buf,
                            int offset)

### DropCapSpecifier

    public DropCapSpecifier(short fdct)

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getCountOfLinesToDrop

    public byte getCountOfLinesToDrop()

### getDropCapType

    public byte getDropCapType()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isEmpty

    public boolean isEmpty()

### setCountOfLinesToDrop

    public void setCountOfLinesToDrop(byte value)

### setDropCapType

    public void setDropCapType(byte value)

### toShort

    public short toShort()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD